import { getElementId, randomCode, deepCopy } from "../../plugins/utils";

const MODEL = {
  type: "FILL_PANE",
  x: 0,
  y: 0,
  w: 324,
  h: 40,
  sign: "",
  paneGap: 5,
  paneCount: 9,
  paneWidth: 30,
  paneHeight: 30,
  borderStyle: "solid",
};

const getModel = () => {
  return {
    id: getElementId(),
    key: randomCode(),
    ...deepCopy(MODEL),
  };
};

export { MODEL, getModel };
